Luxor PlatformAPI DocumentationEnergyContracts
Update contract
Updates an existing contract. Cannot update a contract if it would violate active contract requirements for a site.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
contract_id*Contract Id
The UUID of the contract to update
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/energy/contracts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "counterparty": "Updated Provider", "eligible_hours": [ 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 ], "end_time": "2025-12-31T23:59:59Z", "origin_iso_name": "ERCOT", "origin_settlement_point_name": "LZ_RAYBN", "price": "22.5", "quantity_kw": "40000.0", "site_id": "11110000-1111-1111-1111-111111111111", "start_time": "2025-01-01T00:00:00Z", "strike_price": "85.0", "strike_quantity_kw": "25000.0", "subtype": "FIXED", "type": "PPA" }'{ "comments": "Fixed PPA for peak hours", "counterparty": "Luxor Energy", "created_at": "2025-01-10T09:00:00Z", "eligible_hours": [ 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 ], "end_time": "2025-12-31T23:59:59Z", "id": "8b9c5f64-6817-4562-b3fc-3d073f77bfc8", "origin_iso_name": "ERCOT", "origin_settlement_point_name": "LZ_HOUSTON", "price": "35.50", "quantity_kw": "100.0", "site_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "start_time": "2025-12-22T00:00:00Z", "strike_price": "65.00", "strike_quantity_kw": "750.0", "subtype": "FIXED", "type": "PPA", "updated_at": "2025-01-10T09:00:00Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}